Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Interface Part

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AttachmentPart, SOAPPart

public interface Part
extends java.io.Serializable

A part of a MIME message. Typically, in a MIME message there will be one `SOAPPart` containing the SOAP message, and 0 or more `AttachmentParts` instances containing each of the attachments.

Method Summary
`void` | `addMimeHeader(java.lang.String header, java.lang.String value)` Add the specified MIME header, as per JAXM.
`java.lang.String` | `getContentId()` Get the content ID.
`java.lang.String` | `getContentIdRef()` Content ID.
`java.lang.String` | `getContentLocation()` Get the content location.
`java.lang.String` | `getContentType()` Get the content type.
`java.util.Iterator` | `getMatchingMimeHeaders(java.lang.String[] match)` Get an `Iterator` over all headers that match any item in `match`.
`java.lang.String[]` | `getMimeHeader(java.lang.String name)` Gets all the values of the `MimeHeader` object in this `SOAPPart` object that is identified by the given `String`.
`java.util.Iterator` | `getNonMatchingMimeHeaders(java.lang.String[] match)` Get all headers that do not match.
`void` | `setContentId(java.lang.String newCid)` Sets Content-Id of this part.
`void` | `setContentLocation(java.lang.String loc)` Set content location.

Method Detail

### getMimeHeader

    public java.lang.String[] getMimeHeader(java.lang.String name)

  Gets all the values of the `MimeHeader` object in this `SOAPPart` object that is identified by the given `String`.

  Parameters:
    `name` - the name of the header; example: "Content-Type"
  Returns:
    a `String` array giving all the values for the specified header
  See Also:
    `setMimeHeader(java.lang.String, java.lang.String)`

### addMimeHeader

    public void addMimeHeader(java.lang.String header,
                              java.lang.String value)

  Add the specified MIME header, as per JAXM.

  Parameters:
    `header` - the MIME header name
    `value` - the value associated with the header

### getContentLocation

    public java.lang.String getContentLocation()

  Get the content location.

  Returns:
    a `String` giving the location

### setContentLocation

    public void setContentLocation(java.lang.String loc)

  Set content location.

  Parameters:
    `loc` - the new location

### setContentId

    public void setContentId(java.lang.String newCid)

  Sets Content-Id of this part. already defined.

  Parameters:
    `newCid` - new Content-Id

### getContentId

    public java.lang.String getContentId()

  Get the content ID.

  Returns:
    the content ID

### getMatchingMimeHeaders

    public java.util.Iterator getMatchingMimeHeaders(java.lang.String[] match)

  Get an `Iterator` over all headers that match any item in `match`.

### getNonMatchingMimeHeaders

    public java.util.Iterator getNonMatchingMimeHeaders(java.lang.String[] match)

  Get all headers that do not match.

### getContentType

    public java.lang.String getContentType()

  Get the content type.

  Returns:
    the content type `String`

### getContentIdRef

    public java.lang.String getContentIdRef()

  Content ID.

  Returns:
    the contentId reference value that should be used directly as an href in a SOAP element to reference this attachment. Not part of JAX-RPC, JAX-M, SAAJ, etc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.